Bug 193980 - [PATCH] OptionalObsoleteFiles.inc missing some SSH and KERBEROS files
Summary: [PATCH] OptionalObsoleteFiles.inc missing some SSH and KERBEROS files
Status: Closed FIXED
Alias: None
Product: Base System
Classification: Unclassified
Component: misc (show other bugs)
Version: 10.0-STABLE
Hardware: Any Any
: --- Affects Some People
Assignee: Dag-Erling Smørgrav
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-09-27 23:09 UTC by ebay
Modified: 2017-03-03 13:32 UTC (History)
3 users (show)

See Also:
des: mfc-stable10+


Attachments
Add missing SSH and KERBEROS files to OptionalObsoleteFiles.inc (2.19 KB, patch)
2014-09-27 23:09 UTC, ebay
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description ebay 2014-09-27 23:09:34 UTC
Created attachment 147737 [details]
Add missing SSH and KERBEROS files to OptionalObsoleteFiles.inc

I recently started using:
WITHOUT_OPENSSH=yes
WITHOUT_KERBEROS=yes
WITHOUT_KERBEROS_SUPPORT=yes

I am using openssh from ports, had run "make delete-old" but noticed /usr/bin/scp was left behind and now broken since the rest of base SSH was gone.  Attached is a patch to clean up remaining files that I could find.  It has some functional value in my situation, not just cleanliness.
Comment 1 ebay 2014-09-27 23:14:47 UTC
forgot to mention, the patch seems to apply to a couple different versions of 10-stable as well as 11-head, but let me know if you want me to regenerate it against something in particular.
Comment 2 Dmitry Marakasov freebsd_committer 2015-02-04 21:20:27 UTC
I'm currently working on improving OptionalObsoleteFiles completeness in HEAD, and my changes include these. Will close the bug as soon as changes are MFCd.
Comment 3 ebay 2015-02-04 23:36:39 UTC
Thank you, I've noticed your work and am appreciative!
Comment 4 ebay 2015-06-15 22:49:54 UTC
If you have a chance, can you take another look?  The ssh changes are in head as r278120 but have not been MFCd, and the 4 heimdal files never made it to head.  Thanks.
Comment 5 Dmitry Marakasov freebsd_committer 2016-05-24 21:04:22 UTC
Since HEAD is being turned into packages, this is no longer needed, thus closing.
Comment 6 ebay 2016-05-24 21:27:33 UTC
I am reopening because this item was open simply waiting for changes from -head to be merged to 10-STABLE which is what I am using. This item only pertains to 10-STABLE so policy on the 11 branch does not affect it. I would be grateful if r278120 could be merged to 10 and then this issue would be solved. Thank you!
Comment 7 Dmitry Marakasov freebsd_committer 2016-09-09 23:20:39 UTC
Back to pool, I'm not going to work on this.
Comment 8 commit-hook freebsd_committer 2017-03-03 13:32:17 UTC
A commit references this bug:

Author: des
Date: Fri Mar  3 13:32:01 UTC 2017
New revision: 314597
URL: https://svnweb.freebsd.org/changeset/base/314597

Log:
  MFH (r278120): add missing ssh-related files

  PR:		193980
  Submitted by:	mcdouga9@egr.msu.edu

Changes:
_U  stable/10/
  stable/10/tools/build/mk/OptionalObsoleteFiles.inc